////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2018-2022 Saxonica Limited
// This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
// If a copy of the MPL was not distributed with this file, You can obtain one at http://mozilla.org/MPL/2.0/.
// This Source Code Form is "Incompatible With Secondary Licenses", as defined by the Mozilla Public License, v. 2.0.
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

/**
 * <p>The package <code>com.saxonica.functions.hof</code> contains code to support higher-order functions.</p>
 * <p>Higher-order functions are supported in XSLT 3.0, XPath 3.1, and XQuery 3.1, in Saxon-PE and Saxon-EE only.</p>
 * <p>The package includes code to support both the core facilities of dynamic creation and invocation of function
 * objects, and also specific higher-order functions defined in the <i>Functions and Operators</i> library
 * such as <code>fn:filter</code>, <code>fn:for-each</code> and <code>fn:fold-left</code>.</p>
 */
package net.sf.saxon.functions.hof;
